Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1297487

Summary: awesome 3.5.6 : multiple separate screens
Product: [Fedora] Fedora Reporter: Manfred Knick <Manfred.Knick>
Component: awesomeAssignee: Thomas Moschny <thomas.moschny>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: thomas.moschny
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: awesome-3.5.7-1.fc22 awesome-3.5.7-1.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-28 18:23:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Manfred Knick 2016-01-11 15:59:38 UTC
awesome 3.5.6 has some problems 
when running on multiple _separate_ X11 screens.

This setup is also known as "ZapHod" mode : no TwinView, esp. no Xinerama.

The details are already provided UPSTREAM :

. . . https://github.com/awesomeWM/awesome/issues/598   ::   bug #598

"Regression:
 Multiple separate X11 screens setup (Zaphod, no Xinerama) fails; 
 WORKAROUND: start multiple instances"


Find patches and examples (for Gentoo) at the cited Cross-Reference

. . . https://bugs.gentoo.org/show_bug.cgi?id=571544

Thanks.

Comment 1 Thomas Moschny 2016-01-11 16:42:04 UTC
What you are saying is, that we basically should apply 

  https://github.com/awesomeWM/awesome/commit/fc8c91c0

resp. the backported patch

  https://bugs.gentoo.org/attachment.cgi?id=422558&action=diff

to Fedora's awesome package, right? Anything else to add?

Comment 2 Manfred Knick 2016-01-11 18:11:46 UTC
(In reply to Thomas Moschny from comment #1)

> right?

Yes - I think it boils down to that, as far as the packkage is concearned.

I'm still wondering abount the miracle
why and how dbus should recognize "this is different VGA HW" :(

> Anything else to add?

And I am thinking about a good place
containing all the rest of the gathered information -
some kind of "HowTo", maybe?

I guess, preferedly @ awesome docu
to have it central,
not separate it for every distribution ...

Comment 3 Fedora Update System 2016-01-18 19:05:40 UTC
awesome-3.5.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10be4a3cc7

Comment 4 Thomas Moschny 2016-01-18 19:07:28 UTC
The patch has been included in 3.5.7 as far as I can see.

Comment 5 Fedora Update System 2016-01-20 03:52:48 UTC
awesome-3.5.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10be4a3cc7

Comment 6 Fedora Update System 2016-01-20 03:54:29 UTC
awesome-3.5.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8203fc099f

Comment 7 Fedora Update System 2016-01-28 18:23:04 UTC
awesome-3.5.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-01-28 18:29:11 UTC
awesome-3.5.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.